#!/usr/bin/perl
use strict;
use warnings;
#use lib '/Users/junINOUEb/src/ens83/ensembl/modules/';
use Bio::EnsEMBL::Registry;
use Bio::EnsEMBL::ApiVersion;

#http://asia.ensembl.org/info/docs/api/compara/compara_tutorial.html

Bio::EnsEMBL::Registry->load_registry_from_db(
    -host => 'ensembldb.ensembl.org',
    -user => 'anonymous',
    -port => 5306);


printf( "The API version used is %s\n", software_version() );

    
#my $genome_db_adaptor = Bio::EnsEMBL::Registry->get_adaptor(
#    'Multi', 'compara', 'GenomeDB');
    
#my $this_genome_db = $genome_db_adaptor->fetch_by_name_assembly("homo_sapiens"); # If the assembly name is missing, will select the current one
#print $this_genome_db->name, "\n";

#my $all_genome_dbs = $genome_db_adaptor->fetch_all();
#foreach my $this_genome_db (@{$all_genome_dbs}) {
#  print $this_genome_db->name, "\n";
#}

# get the MemberAdaptor
my $genemember_adaptor = Bio::EnsEMBL::Registry->get_adaptor('Multi','compara','GeneMember');

# fetch a Member
my $member = $genemember_adaptor->fetch_by_stable_id('ENSG00000004059');

# print out some information about the Member
print $member->source_name, ": ", $member->dnafrag->name, " ( ", $member->dnafrag_start, " - ", $member->dnafrag_end, " ): ",

my $taxon = $member->taxon;
print "common_name ", $taxon->common_name,"\n";
print "genus ", $taxon->genus,"\n";
print "species ", $taxon->species,"\n";
print "binomial ", $taxon->binomial,"\n";
print "classification ", $taxon->classification,"\n";
